### Method

# St Widget set_style

#### Declaration [src]

    void
    st_widget_set_style (
      StWidget* actor,
      const gchar* style
    )

#### Description [src]

Set the inline style string for this widget. The inline style string is an optional ‘;’-separated list of CSS properties that override the style as determined from the stylesheets of the current theme.

Sets property | `St.Widget:style`

#### Parameters

`style`

  Type: `const gchar*`

  A inline style string, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.